API Reference
Add account status information
POST
/v1/business/account_status https://api.cable.tech Business endpoint for adding new account status information
Authentication
- API key in the x-api-key header
Request body
Request body for adding account status information for a parent entity
-
timestampstring requiredOriginal timestamp relating to this account status information creation/change
Format
date-time -
dataobject required-
account_statusstring requiredLatest account status for the related entity. One of the following: APPROVED, BLOCKED, CLOSED, PENDING, REJECTED
-
customobjectCustom data that is relevant. This can be any JSON object. Please include any details and data points that our schema does not capture.
-
-
parentobject required-
idstring requiredUnique external identifier of the parent entity, ID stored in your database / back-office
Limits
min length 1 -
typestring requiredType of the parent entity
Allowed values
companyperson
-
Responses
200 Operation success
-
successboolean requiredYou probably did something wrong if you set this to false
Default
true
Errors
- default Operation error
-
codestring required -
messagestring required -
dataobject